<nz-modal
  nzTitle="{{'partnership.pns-contract.label.importResult'|translate}}"
  [nzVisible]='showContent'
  [nzFooter]='null'
  (nzOnCancel)='doClose()'
  [nzWidth]='nzWidth'
  [nzCentered]='true'
>
  <ng-container *nzModalContent style='padding: 0; margin-top: -20px'>
    <div nz-row [nzGutter]='[30,30]'>
      <div nz-col nzXs='24' nzLg='24'>
        <mb-select [mbDataSelects]='listType'
                   [(ngModel)]='typeContract'
                   [mbKeyValueStringType]="true"
                   (ngModelChange)='selectTypeSign($event)'
                   mbPlaceholder="{{'partnership.pns-contract.searchForm.type' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.searchForm.type' | translate}} <span class='label__required'>*</span>"></mb-select>
      </div>

      <label style='padding-left: 15px' class='label'>{{'partnership.pns-contract.label.importFile'|translate}}<span class='label__required'> *</span></label>
      <nz-upload nz-col nzXs='24' nzLg='24'
                 nzType='drag'
                 [nzMultiple]=' true'
                 [(nzFileList)]='fileList' [nzBeforeUpload]='beforeUpload' nzAccept='.zip, .pdf'>
        <p class='ant-upload-drag-icon'>
          <em nz-icon nzType='inbox'></em>
        </p>
        <p class='ant-upload-text'>{{'common.upload.description'|translate}}</p>
        <p class='ant-upload-hint'>
          {{'partnership.pns-contract.upload.supportAttachType'|translate}}
        </p>
      </nz-upload>
    </div>


    <div nz-row [nzGutter]='[10,10]' *ngIf='isExistFileImport' style='margin-top: 20px'>
      <mb-button
        mbButtonType='BORDER'
        mbButtonSize='SMALL'
        mbButtonText="{{'common.button.cancel'|translate }}"
        class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
        mbButtonAvailableStyle='DEFAULT'
        (click)='doClose()'
      ></mb-button>
      <mb-button
        mbButtonType='BORDER'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'common.upload.upload'|translate }}"
        class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
        (click)='doImportFile()'
      ></mb-button>
    </div>


  </ng-container>
</nz-modal>
